#
# spec file for package perl-ExtUtils-CBuilder
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#


Name:           perl-ExtUtils-CBuilder
%define modname	ExtUtils-CBuilder
Summary:        Compile and Link C Code for Perl Modules
Version:        0.23
Release:        1.7
Requires:       perl = %{perl_version}
BuildRequires:  perl
License:        GPL/Artistic
Url:            http://search.cpan.org/perldoc?ExtUtils::CBuilder
Group:          Development/Libraries/Perl
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module can build the C portions of Perl modules by invoking the
appropriate compilers and linkers in a cross-platform manner. It was motivated
by the Module::Build project, but may be useful for other purposes as well.

Authors:
--------
    Ken Williams <kwilliams@cpan.org>

%prep
%setup -q -n %{modname}-%{version}

%build
perl Makefile.PL 
make %{?jobs:-j%jobs}

%check
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc Changes
%doc %{_mandir}/man?/*
%dir %{perl_vendorlib}/ExtUtils
%dir %{perl_vendorarch}/auto/ExtUtils
%{perl_vendorlib}/ExtUtils/CBuilder
%{perl_vendorlib}/ExtUtils/CBuilder.pm
%{perl_vendorlib}/ExtUtils/bleadcheck.pl
%{perl_vendorarch}/auto/ExtUtils/CBuilder
/var/adm/perl-modules/%{name}

%changelog
* Thu May  8 2008 lrupp@suse.de
- update to 0.23
  * Will now install in the core perl lib directory when the user's
    perl is new enough to have us in core. [Yi Ma Mao]
  * Clean up perl_src path using Cwd::realpath().  Only affects usage
    as part of the perl core.
  * Protect $., $@, $!, $^E, and $? from any clobbering that might
    occur in our DESTROY method. [Zefram]
  * From bleadperl, a patch to clean up debug symbol files (.pdb for
    VC++, .tds for BCC) when running have_compiler(). [Steve Hay &
    Steve Peters]
- beautify specfile
- own parent directories
